<template>
    <div></div>
    <!-- <body class="bg-white text-body font-body">
        <div class="main"> -->
            <!--Header-->
            <!-- <Nav/>
            <Navmobile/>
            
            <section class="relative -mt-24 pt-24" style="border-bottom:1px solid #ccc;background-image: url('assets/imgs/illustrations/pattern.jpg');" >
                <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 px-3">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading wow animate__animated animate__fadeIn">Committed to <span class="text-blue-500">People</span>, <br />Committed to the future</h2>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn">We are <strong class="text-blue-500">Monst</strong>, a Creative Design <span class="typewrite d-inline text-brand" data-period="3000" data-type='["Web Agency", "Social Marketing" ]'></span></p>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn mt-3 text-sm">Helping you maximize operations management with digitization</p>
                                </div>
                                <div class="text-center lg:text-left">
                                    <a class="tracking-wide hover-up-2 block sm:inline-block py-4 px-8 mb-4 sm:mb-0 sm:mr-3 text-xs text-white text-center font-semibold leading-none bg-blue-400 hover:bg-blue-500 rounded wow animate__animated animate__fadeInUp" href="#key-features">Key Features</a>
                                    <a class="block hover-up-2 sm:inline-block py-4 px-8 text-xs text-blueGray-500 hover:text-blueGray-600 text-center font-semibold leading-none bg-white border border-blueGray-200 hover:border-blueGray-300 rounded wow animate__animated animate__fadeInUp" data-wow-delay=".3s" href="#how-we-work">How We Work?</a>
                                </div>
                            </div>
                        </div>
                        <div class="w-full lg:w-1/2 px-3 mb-12 lg:mb-0 pb-10">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/programer.svg" alt="" />
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="relative  pt-24" style="border:1px solid #ccc;background:#f2f2f2;">
                <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 ">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/sapp.png" style="margin-top:-30px" alt="" />
                            </div>
                            
                        </div>
                        <div class="w-full lg:w-1/2 px-3  mb-12 lg:mb-0 pb-10">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading wow animate__animated animate__fadeIn">Committed to <span class="text-blue-500">People</span>, <br />Committed to the future</h2>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn">We are <strong class="text-blue-500">Monst</strong>, a Creative Design <span class="typewrite d-inline text-brand" data-period="3000" data-type='["Web Agency", "Social Marketing" ]'></span></p>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn mt-3 text-sm">Helping you maximize operations management with digitization</p>
                                </div>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </section>
             <section class="relative  pt-24" style="border:1px solid #ccc;">
                <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 ">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/ai.png" style="margin-top:-30px" alt="" />
                            </div>
                            
                        </div>
                        <div class="w-full lg:w-1/2 px-3  mb-12 lg:mb-0 pb-10">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading wow animate__animated animate__fadeIn">Committed to <span class="text-blue-500">People</span>, <br />Committed to the future</h2>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn">We are <strong class="text-blue-500">Monst</strong>, a Creative Design <span class="typewrite d-inline text-brand" data-period="3000" data-type='["Web Agency", "Social Marketing" ]'></span></p>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn mt-3 text-sm">Helping you maximize operations management with digitization</p>
                                </div>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="relative  pt-24" style="border:1px solid #ccc;">
                <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 ">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/iot.png" style="margin-top:-30px" alt="" />
                            </div>
                            
                        </div>
                        <div class="w-full lg:w-1/2 px-3  mb-12 lg:mb-0 pb-10">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading wow animate__animated animate__fadeIn">Committed to <span class="text-blue-500">People</span>, <br />Committed to the future</h2>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn">We are <strong class="text-blue-500">Monst</strong>, a Creative Design <span class="typewrite d-inline text-brand" data-period="3000" data-type='["Web Agency", "Social Marketing" ]'></span></p>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn mt-3 text-sm">Helping you maximize operations management with digitization</p>
                                </div>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="relative  pt-24" style="border:1px solid #ccc;">
                <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 ">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/cms.png" style="margin-top:-30px" alt="" />
                            </div>
                            
                        </div>
                        <div class="w-full lg:w-1/2 px-3  mb-12 lg:mb-0 pb-10">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading wow animate__animated animate__fadeIn">Committed to <span class="text-blue-500">People</span>, <br />Committed to the future</h2>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn">We are <strong class="text-blue-500">Monst</strong>, a Creative Design <span class="typewrite d-inline text-brand" data-period="3000" data-type='["Web Agency", "Social Marketing" ]'></span></p>
                                    <p class="text-blueGray-400 leading-relaxed wow animate__animated animate__fadeIn mt-3 text-sm">Helping you maximize operations management with digitization</p>
                                </div>
                               
                            </div>
                        </div>
                    </div>
                </div>
            </section>


            <section class="py-20"  style="background-image: url('assets/imgs/illustrations/pattern.jpg');background-color:rgba(0, 0, 0, 0.5);">
                <div class="container">
                    <div class="max-w-2xl lg:max-w-3xl mx-auto"  style="background: #fff;padding: 50px 50px;">
                        <div class="mb-12 text-center">
                            <h2 class="text-4xl font-bold font-heading wow animate__animated animate__fadeInUp animated" data-wow-delay=".1s">Get in touch!</h2>
                            <p class="text-blueGray-400 wow animate__animated animate__fadeInUp animated" data-wow-delay=".5s">We will be glad to hear from you</p>
                        </div>
                        <div class="flex flex-wrap -mx-3 text-center">
                            <div class="w-1/2 lg:w-1/3 px-3 mb-12 wow animate__animated animate__fadeInUp animated" data-wow-delay=".1s">
                                <svg class="mb-6 h-8 w-8 mx-auto text-blue-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 5a2 2 0 012-2h3.28a1 1 0 01.948.684l1.498 4.493a1 1 0 01-.502 1.21l-2.257 1.13a11.042 11.042 0 005.516 5.516l1.13-2.257a1 1 0 011.21-.502l4.493 1.498a1 1 0 01.684.949V19a2 2 0 01-2 2h-1C9.716 21 3 14.284 3 6V5z"></path>
                                </svg>
                                <div class="leading-relaxed">
                                    <span class="text-sm text-blueGray-400">Phone</span>
                                    <p>+ 48 654-430-309</p>
                                    <p>+ 1 6532-430-309</p>
                                </div>
                            </div>
                            <div class="w-1/2 lg:w-1/3 px-3 mb-12 wow animate__animated animate__fadeInUp animated" data-wow-delay=".3s">
                                <svg class="mb-6 h-8 w-8 mx-auto text-blue-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M3 8l7.89 5.26a2 2 0 002.22 0L21 8M5 19h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"></path>
                                </svg>
                                <div class="leading-relaxed">
                                    <span class="text-sm text-blueGray-400">E-mail</span>
                                    <p>contact@monst.com</p>
                                    <p>pat@example.com</p>
                                </div>
                            </div>
                            <div class="w-full lg:w-1/3 px-3 mb-12 wow animate__animated animate__fadeInUp animated" data-wow-delay=".5s">
                                <svg class="mb-6 h-8 w-8 mx-auto text-blue-600" xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 24 24" stroke="currentColor">
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17.657 16.657L13.414 20.9a1.998 1.998 0 01-2.827 0l-4.244-4.243a8 8 0 1111.314 0z"></path>
                                    <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 11a3 3 0 11-6 0 3 3 0 016 0z"></path>
                                </svg>
                                <div class="leading-relaxed">
                                    <span class="text-sm text-blueGray-400">Address</span>
                                    <p>11567 E Broadview Dr</p>
                                    <p>Colorado(CO), 80117</p>
                                </div>
                            </div>
                        </div>
                        <div>
                            <form>
                                <div class="mb-4 text-sm wow animate__animated animate__fadeInUp animated" data-wow-delay=".1s">
                                    <span class="mr-4 font-semibold">Departament:</span>
                                    <label class="mr-4">
                                        <input class="mr-1" type="radio" name="department" value="1" checked="" />
                                        <span>Support</span>
                                    </label>
                                    <label>
                                        <input class="mr-1" type="radio" name="department" value="2" />
                                        <span>Sales</span>
                                    </label>
                                </div>
                                <div class="flex flex-wrap mb-4 -mx-3 wow animate__animated animate__fadeInUp animated" data-wow-delay=".3s">
                                    <div class="w-full lg:w-1/2 px-3 mb-4 lg:mb-0">
                                        <div class="mb-4">
                                            <input class="w-full p-4 text-xs font-semibold leading-none bg-blueGray-50 rounded outline-none" type="text" placeholder="Subject" />
                                        </div>
                                        <div class="mb-4">
                                            <input class="w-full p-4 text-xs font-semibold leading-none bg-blueGray-50 rounded outline-none" type="text" placeholder="Name" />
                                        </div>
                                        <div class="mb-4">
                                            <input class="w-full p-4 text-xs font-semibold leading-none bg-blueGray-50 rounded outline-none" type="email" placeholder="name@example.com" />
                                        </div>
                                        <div>
                                            <label class="flex px-2 bg-blueGray-50 rounded">
                                                <input class="hidden" type="file" name="Choose file" />
                                                <span class="my-1 ml-auto px-4 py-3 text-xs text-white font-semibold leading-none bg-blueGray-500 hover:bg-blueGray-600 rounded cursor-pointer"> Browse</span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="w-full lg:w-1/2 px-3">
                                        <textarea class="w-full h-full p-4 text-xs font-semibold leading-none resize-none bg-blueGray-50 rounded outline-none" placeholder="Message..."></textarea>
                                    </div>
                                </div>
                                <div class="flex justify-between items-center">
                                    <label>
                                        <input class="mr-1" type="checkbox" name="terms" value="1" />
                                        <span class="text-sm font-semibold">I agree to terms and conditions.</span>
                                    </label>
                                    <button class="py-4 px-8 text-sm text-white font-semibold leading-none bg-blue-400 hover:bg-blue-500 rounded" type="submit">Submit</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </section>
            <Footer/>
        </div> -->
        <!-- End .main -->

        <!-- Preloader Start -->
        <!-- <div id="preloader-active">
            <div class="preloader flex-1 content-center">
                <div class="logo absolute inset-y-2/4 jump">
                    <img src="assets/imgs/logos/favicon.svg" alt="" />
                    <h1 class="text-lg font-semibold">Monst</h1>
                </div>
            </div>
        </div> -->
        <!--Import Vendor Js-->
    <!-- </body> -->
</template>

<script>
export default {
  name: 'IndexPage',
   methods: {
        init: function () {

              $(window).on('load', function () {
                  console.log("ok");
                  $('.preloader').delay(300).fadeOut('slow');
                  $('body').delay(450).css({
                      'overflow': 'visible'
                  });
              });

              var header = $('.sticky-bar');
              var win = $(window);
              win.on('scroll', function () {
                  var scroll = win.scrollTop();
                  if (scroll < 20) {
                      header.removeClass('stick');
                  } else {
                      header.addClass('stick');
                  }
              });

              /*Carausel 2 columns*/
              $(".carausel-2-columns").each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      dots: false,
                      infinite: true,
                      speed: 1000,
                      arrows: true,
                      autoplay: true,
                      slidesToShow: 2,
                      slidesToScroll: 1,
                      loop: true,
                      adaptiveHeight: true,
                      responsive: [
                          {
                              breakpoint: 1025,
                              settings: {
                                  slidesToShow: 2,
                                  slidesToScroll: 2,
                              }
                          },
                          {
                              breakpoint: 480,
                              settings: {
                                  slidesToShow: 1,
                                  slidesToScroll: 1
                              }
                          }
                      ],
                      prevArrow: '<span class="mr-4 text-blue-500 flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18"></path></svg></span>',
                      nextArrow: '<span class="text-blue-500  flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3"></path></svg></span>',
                      appendArrows: (appendArrowsClassName),
                  });
              });

              /*Carausel Fade*/
              $('.carausel-fade').each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      fade: true,
                      loop: true,
                      dots: false,
                      arrows: true,
                      prevArrow: '<span class="mr-4 text-blue-500 flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18"></path></svg></span>',
                      nextArrow: '<span class="text-blue-500  flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3"></path></svg></span>',
                      appendArrows: (appendArrowsClassName),
                      autoplay: true,
                  });
              });

              /*Carausel Fade has Dots*/
              $('.carausel-fade-2').each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      fade: true,
                      loop: true,
                      dots: true,
                      arrows: false,
                      autoplay: true,
                  });
              });



              /*---------------------
                  Mobile menu active
              ------------------------ */
              var $offCanvasNav = $('.mobile-menu'),
                  $offCanvasNavSubMenu = $offCanvasNav.find('.dropdown');

              /*Add Toggle Button With Off Canvas Sub Menu*/
              $offCanvasNavSubMenu.parent().prepend('<span class="menu-expand">+</span>');

              /*Close Off Canvas Sub Menu*/
              $offCanvasNavSubMenu.slideUp();

              /*Category Sub Menu Toggle*/
              $offCanvasNav.on('click', 'li a, li .menu-expand', function (e) {
                  var $this = $(this);
                  if (($this.parent().attr('class').match(/\b(menu-item-has-children|has-children|has-sub-menu)\b/)) && ($this.attr('href') === '#' || $this.hasClass('menu-expand'))) {
                      e.preventDefault();
                      if ($this.siblings('ul:visible').length) {
                          $this.parent('li').removeClass('active');
                          $this.siblings('ul').slideUp();
                      } else {
                          $this.parent('li').addClass('active');
                          $this.closest('li').siblings('li').removeClass('active').find('li').removeClass('active');
                          $this.closest('li').siblings('li').find('ul:visible').slideUp();
                          $this.siblings('ul').slideDown();
                      }
                  }
              });

              /*------ ScrollUp -------- */
              $.scrollUp({
                  scrollText: '<svg class="w-4 h-4" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 10l7-7m0 0l7 7m-7-7v18"></path></svg>',
                  easingType: 'linear',
                  scrollSpeed: 900,
                  animation: 'fade'
              });

              /*------ Wow Active ----*/
              new WOW().init();

              /*---- CounterUp ----*/
              $('.count').counterUp({
                  delay: 10,
                  time: 2000
              });
           
        }
  },
  mounted() {
        
      
        this.init();
  },
  head: {
            title: '{Dee}Farm - Software House',
            htmlAttrs: {
                lang: 'en'
            },
            script: [
                { src: "/assets/js/vendor/jquery-3.6.0.min.js"},
                { src: "/assets/js/vendor/modernizr-3.6.0.min.js"},
               
                { src: "/assets/js/vendor/waypoints.js"},
                { src: "/assets/js/vendor/counterup.js"},
                { src: "/assets/js/vendor/slick.js"},

                { src: "/assets/js/vendor/wow.js"},
                { src: "/assets/js/vendor/scrollup.js"},
                { src: "/assets/js/vendor/smooth.js"},
                { src: "/assets/js/vendor/textType.js"},
                { src: "/assets/js/vendor/mobile-menu.js"},
                { src: "/assets/js/main.js?v=2.0" , defer:true , callback: () => { 

                        //$(window).on('load', function () {
                            //console.log("ok");
                            $('.preloader').delay(300).fadeOut('slow');
                            $('body').delay(450).css({
                                'overflow': 'visible'
                            });
                        //});
                 }},
            
            ],
            link: [
                { rel: 'icon', type: 'image/x-icon', href: 'assets/imgs/logos/favicon.svg' },
                { rel: 'stylesheet' , href: 'assets/css/animate.min.css?v=2.0' },
                { rel: 'stylesheet' , href: 'assets/css/slick.css?v=2.0' },
                { rel: 'stylesheet' , href: 'assets/css/tailwind-built.css?v=2.0' }

            ],


    },
}
</script>
